FROM alpine

# Initialize
RUN mkdir -p /data/app
WORKDIR /data/app
COPY requirements.txt /data/app
COPY environments/ /data/app/environments

# Setup
RUN apk update
RUN apk upgrade
RUN apk add --update python3 py3-pip python3-dev postgresql-client postgresql-dev build-base gettext
RUN pip3 install --upgrade pip
RUN pip3 install -r requirements.txt

#Clean
RUN apk del -r python3-dev postgresql

#Prepare
COPY . /data/app/
RUN mkdir -p core/static/admin
